.offcanvas-header {
    padding-top: 0.8rem;
    padding-bottom:  0.8rem;
    border-width: 0px 0px 1px 0px;
}

.offcanvas-title {
display: flex;
align-items: center;
}

.timeline {
    position: relative;
    padding: 0;
    list-style: none;
}

.timeline-item {
    position: relative;
    padding-bottom: 2rem;
    padding-left: 3rem;
}

.timeline-marker {
    position: absolute;
    left: 0;
    top: 0;
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    border: 3px solid;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

.timeline-marker-current {
    box-shadow: 0 0 0 4px rgba(13, 110, 253, 0.2);
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(13, 110, 253, 0.4);
    }
    70% {
        box-shadow: 0 0 0 10px rgba(13, 110, 253, 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(13, 110, 253, 0);
    }
}

.timeline-connector {
    position: absolute;
    left: 0.95rem;
    top: 2rem;
    bottom: -2rem;
    width: 2px;
    border-left: 2px dashed;
}

.timeline-content {
    background-color: var(--tblr-primary-light);
    padding: 1rem;
    border-radius: 0.5rem;
    border: 1px solid transparent;
}

.timeline-item:hover .timeline-content {
    background-color: var(--tblr-primary-light);
    border: 1px solid var(--tblr-primary);
    box-shadow: var(--wave-glow-primary)!important;
    transition: background-color 0.2s ease;
}
